# DocumentView : Object
Return to: HTML DOM Level 2 index

Provides a property to retrieve the default view for a document.

## Platform Support

IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | ---
no | 1.0+ | no | 7.0+ | no

## Constructors

Constructor | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
DocumentView Constructor() : DocumentView Provides a property to retrieve the default view for a document. | Show Details | no | 1.0+ | no | 7.0+ | no

### DocumentView() : DocumentView

Provides a property to retrieve the default view for a document.

Returns

DocumentView |

Visibility
  internal

## Properties

Property | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
defaultView : AbstractView The default AbstractView for the document. | Show Details | no | 1.0+ | no | 7.0+ | no

  For examples, see the quirksmode test page:

  http://www.quirksmode.org/dom/tests/window.html

Availability

  HTML DOM Level 2|W3C

## Availability

HTML DOM Level 2|W3C

text_javascript aptana_docs